//
// HTMLHelp.cpp
// HTML Help engine implementation
//

#include <HTMLHelp.h>

THTMLHelp::THTMLHelp(const char *helpfile)
{
	strset(m_HelpFile, 0, sizeof(m_HelpFile));
	if(helpfile)
		strncpy(m_HelpFile, helpfile, sizeof(m_HelpFile));
}

THTMLHelp::~THTMLHelp() {}

bool THTMLHelp::HelpContext(const char *context)
{
	bool result = false;
	
	if((strlen(m_HelpFile) > 0) && (context)) 
	{
		char *buf = new char[strlen(m_HelpFile) + strlen(context) + 3];
		if(!buf)
			return false;
		
		strcpy(buf, m_HelpFile);
		if(buf[strlen(buf)-1] != '/')
			strcat(buf, "/");
		strcat(buf, context);
			
		result = (B_OK == be_roster->Launch(buf));
		delete [] buf;
		return result;
	}
	else
		return false;
}

// eof

